#-*- coding:utf-8 -*-

menu_str = """<Menu
xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">
    <MenuItem Header="ファイル(_F)" TabIndex="1">
        <MenuItem Header="保存(_S)" Name="save" InputGestureText="Ctrl+S" />
        <MenuItem Header="読み直し(_R)" Name="reload" />
        <Separator />
        <MenuItem Header="直接編集(_E)" Name="textedit" InputGestureText="Ctlr+E" />
        <MenuItem Header="バックアップ(_B)">
            <MenuItem Header="バックアップ作成(_S)" Name="buckup_write" />
            <MenuItem Header="バックアップ書き戻し(_R)" Name="buckup_read" />
        </MenuItem>
        <Separator />
        <MenuItem Header="終了(_X)" Name="quit" InputGestureText="Ctrl+Q" />
    </MenuItem>
    <MenuItem Header="編集(_E)" Name="edit">
        <MenuItem Header="新規アイテム(_N)" Name="item_new" InputGestureText="Ctrl+N" />
        <Separator />
        <MenuItem Header="上に移動(_U)" Name="item_up" />
        <MenuItem Header="下に移動(_D)" Name="item_down" />
        <MenuItem Header="削除(_l)" Name="item_delete" InputGestureText="Ctrl+Delete" />
        <Separator />
        <MenuItem Header="リストに反映(_S)" Name="apply" InputGestureText="Ctrl+Enter" />
    </MenuItem>
    <MenuItem Header="プロファイル(_P)">
        <MenuItem Header="プロファイルの変更" Name="profile_edit" />
    </MenuItem>
    <MenuItem Header="ヘルプ(_H)">
        <MenuItem Header="オンラインヘルプ(_H)" Name="online_help" />
        <MenuItem Header="情報(_B)" Name="about" />
    </MenuItem>
</Menu>"""

toolbar_str = """<ToolBarTray
xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">
    <ToolBar>
        <Button Name="btn1" IsTabStop="False">
            <Image Name="img1" />
        </Button>
        <Button Name="btn2" IsTabStop="False">
            <Image Name="img2" />
        </Button>
        <Separator />
        <Button Name="btn4" IsTabStop="False">
            <Image Name="img3" />
        </Button>
        <Button Name="btn3" IsTabStop="False">
            <Image Name="img4" />
        </Button>
        <Button Name="btn5" IsTabStop="False">
            <Image Name="img5" />
        </Button>
    </ToolBar>
</ToolBarTray>"""

listview_str = """<ListView
xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">
    <ListView.Resources>
        <DataTemplate x:Key="tpl_show">
            <CheckBox IsChecked="{Binding Path=delete}" IsTabStop="False" />
        </DataTemplate>
        <Style x:Key="st_underline" TargetType="TextBlock">
            <Style.Triggers>
                <DataTrigger Binding="{Binding Path=endsep}" Value="True">
                    <Setter Property="TextDecorations" Value="Underline" />
                </DataTrigger>
                <DataTrigger Binding="{Binding Path=key}" Value="">
                    <Setter Property="Foreground" Value="Silver" />
                </DataTrigger>
                <DataTrigger Binding="{Binding Path=delete}" Value="False">
                    <Setter Property="Foreground" Value="Silver" />
                </DataTrigger>
            </Style.Triggers>
        </Style>
        <DataTemplate x:Key="tpl_name">
            <TextBlock Name="nameBlock" Text="{Binding Path=name}" HorizontalAlignment="Left" TextTrimming="CharacterEllipsis" Style="{StaticResource st_underline}" />
        </DataTemplate>
        <DataTemplate x:Key="tpl_key">
            <TextBlock Text="{Binding Path=key}" HorizontalAlignment="Left"  TextTrimming="CharacterEllipsis" />
        </DataTemplate>
        <DataTemplate x:Key="tpl_url">
            <TextBlock Text="{Binding Path=url}" HorizontalAlignment="Left"  TextTrimming="CharacterEllipsis" />
        </DataTemplate>
    </ListView.Resources>
    <ListView.View>
        <GridView>
            <GridViewColumn Header="表示" CellTemplate="{StaticResource tpl_show}" />
            <GridViewColumn Header="表示名" CellTemplate="{DynamicResource tpl_name}" />
            <GridViewColumn Header="キー" CellTemplate="{StaticResource tpl_key}" />
            <GridViewColumn Header="URL" CellTemplate="{StaticResource tpl_url}" />
        </GridView>
    </ListView.View>
</ListView>"""

editor_str = """<Grid
xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">
    <Grid.RowDefinitions>
        <RowDefinition />
        <RowDefinition />
        <RowDefinition />
        <RowDefinition />
        <RowDefinition />
        <RowDefinition />
        <RowDefinition />
    </Grid.RowDefinitions>
    <Grid.ColumnDefinitions>
        <ColumnDefinition Width="Auto" />
        <ColumnDefinition />
        <ColumnDefinition Width="Auto" />
        <ColumnDefinition Width="Auto" />
        <ColumnDefinition Width="Auto" />
        <ColumnDefinition Width="Auto" />
    </Grid.ColumnDefinitions>

    <Label Grid.Row='0' Grid.Column='0'>表示名</Label>
    <TextBox Grid.Row='0' Grid.Column='1' Grid.ColumnSpan='1' Name="edit_name" />
    <Label Grid.Row='0' Grid.Column='2'>キー</Label>
    <TextBox Grid.Row='0' Grid.Column='3' Grid.ColumnSpan='2' Name="edit_key" />
    <Button Grid.Row='0' Grid.Column='6' Grid.ColumnSpan='1' Margin="20,0,20,0" Name="button">リストに反映</Button>

    <Label Grid.Row='1' Grid.Column='0'>URL</Label>
    <TextBox Grid.Row='1' Grid.Column='1' Grid.ColumnSpan='5' Name="edit_url" />

    <Label Grid.Row='2' Grid.Column='0'>クエリ</Label>
    <TextBox Grid.Row='2' Grid.Column='1' Grid.ColumnSpan='5' Name="edit_query" />

    <Label Grid.Row='3' Grid.Column='0'>UNIQUEID</Label>
    <TextBox Grid.Row='3' Grid.Column='1' Grid.ColumnSpan='4' Name="edit_uniqueid" />
    <CheckBox Grid.Row='3' Grid.Column='5' Grid.ColumnSpan='2' Name="check_post">POSTで送信</CheckBox>

    <Label Grid.Row='4' Grid.Column='0'>ICON</Label>
    <TextBox Grid.Row='4' Grid.Column='1' Grid.ColumnSpan='4' Name="edit_icon" />
    <CheckBox Grid.Row='4' Grid.Column='5' Grid.ColumnSpan='2' Name="check_separator">下にセパレータ</CheckBox>

    <Label Grid.Row='5' Grid.Column='0'>エンコード</Label>
    <TextBox Grid.Row='5' Grid.Column='1' Grid.ColumnSpan='3' Name="edit_encode" />
    <Label Grid.Row='5' Grid.Column='4'>サーチタイプ</Label>
    <TextBox Grid.Row='5' Grid.Column='5' Grid.ColumnSpan='2' Name="edit_type" />

    <Label Grid.Row='6' Grid.Column='0' Grid.ColumnSpan='6' Name="label_etc" Foreground="DarkGreen">Verbtext Position NameID UseTLD</Label>
</Grid>"""